| The Gaudi Framework v32r1 (f65d50dc)

Public Member Functions | List of all members
concurrency::IGraphVisitor Class Reference

`#include <src/PRGraph/Visitors/IGraphVisitor.h>`

Inheritance diagram for concurrency::IGraphVisitor:
[legend]

## Public Member Functions
virtual | ~IGraphVisitor ()=default
virtual bool | visitEnter (DecisionNode &) const
virtual bool | visit (DecisionNode &)
virtual bool | visitEnter (AlgorithmNode &) const
virtual bool | visit (AlgorithmNode &)
virtual bool | visitEnter (DataNode &) const
virtual bool | visit (DataNode &)
virtual bool | visitEnter (ConditionNode &) const
virtual bool | visit (ConditionNode &)
virtual void | reset ()

## Detailed Description

Definition at line 11 of file IGraphVisitor.h.

## Constructor & Destructor Documentation

## ◆ ~IGraphVisitor()

virtual concurrency::IGraphVisitor::~IGraphVisitor | ( |  | ) |
| virtual default

## Member Function Documentation

## ◆ reset()

virtual void concurrency::IGraphVisitor::reset | ( |  | ) |
| inline virtual

Reimplemented in concurrency::RunSimulator, concurrency::SubSlotScout, concurrency::RankerByDataRealmEccentricity, concurrency::ActiveLineageScout, and concurrency::RankerByCummulativeOutDegree.

Definition at line 27 of file IGraphVisitor.h.

27 {};

## ◆ visit() [1/4]

virtual bool concurrency::IGraphVisitor::visit | ( | DecisionNode & |  | ) |
| inline virtual

Reimplemented in concurrency::RunSimulator, concurrency::Supervisor, concurrency::ActiveLineageScout, and concurrency::NodePropertiesValidator.

Definition at line 16 of file IGraphVisitor.h.

16 { return true; };

## ◆ visit() [2/4]

virtual bool concurrency::IGraphVisitor::visit | ( | AlgorithmNode & |  | ) |
| inline virtual

Reimplemented in concurrency::RunSimulator, concurrency::Supervisor, concurrency::RankerByDataRealmEccentricity, concurrency::DecisionUpdater, concurrency::RankerByEccentricity, concurrency::RankerByTiming, concurrency::DataReadyPromoter, concurrency::RankerByCummulativeOutDegree, and concurrency::RankerByProductConsumption.

Definition at line 19 of file IGraphVisitor.h.

19 { return true; };

## ◆ visit() [3/4]

virtual bool concurrency::IGraphVisitor::visit | ( | DataNode & |  | ) |
| inline virtual

Reimplemented in concurrency::DataReadyPromoter.

Definition at line 22 of file IGraphVisitor.h.

22 { return true; };

## ◆ visit() [4/4]

virtual bool concurrency::IGraphVisitor::visit | ( | ConditionNode & |  | ) |
| inline virtual

Reimplemented in concurrency::DataReadyPromoter.

Definition at line 25 of file IGraphVisitor.h.

25 { return true; };

## ◆ visitEnter() [1/4]

virtual bool concurrency::IGraphVisitor::visitEnter | ( | DecisionNode & |  | ) | const
| inline virtual

Reimplemented in concurrency::RunSimulator, and concurrency::Supervisor.

Definition at line 15 of file IGraphVisitor.h.

15 { return true; };

## ◆ visitEnter() [2/4]

virtual bool concurrency::IGraphVisitor::visitEnter | ( | AlgorithmNode & |  | ) | const
| inline virtual

Reimplemented in concurrency::RunSimulator, concurrency::Supervisor, concurrency::ActiveLineageScout, concurrency::DataReadyPromoter, and concurrency::NodePropertiesValidator.

Definition at line 18 of file IGraphVisitor.h.

18 { return true; };

## ◆ visitEnter() [3/4]

virtual bool concurrency::IGraphVisitor::visitEnter | ( | DataNode & |  | ) | const
| inline virtual

Reimplemented in concurrency::ActiveLineageScout, concurrency::DataReadyPromoter, and concurrency::NodePropertiesValidator.

Definition at line 21 of file IGraphVisitor.h.

21 { return true; };

## ◆ visitEnter() [4/4]

virtual bool concurrency::IGraphVisitor::visitEnter | ( | ConditionNode & |  | ) | const
| inline virtual

Reimplemented in concurrency::ActiveLineageScout, concurrency::DataReadyPromoter, and concurrency::NodePropertiesValidator.

Definition at line 24 of file IGraphVisitor.h.

24 { return true; };

The documentation for this class was generated from the following file:

- GaudiHive/src/PRGraph/Visitors/IGraphVisitor.h